﻿package ld16.gameobjects
{
    /**
     * ...
     * @author Mike Meyer
     */
    public class LessEasyDude extends Dude
    {
        private static const JUMP_SPEED:Number = 800;
        public var autoJumpOn:Boolean;

        protected override function Jumping(elapsedTime:Number):void
        {
            if (IsOnGround && autoJumpOn)
            {
                dy = -JUMP_SPEED;
                PlayJumpSound();
            }
        }

        public override function Restart():void
        {
            super.Restart();
            autoJumpOn = true;
        }
    }

}
