﻿package ld16.gameobjects
{
    import flash.display.Bitmap;
    import flash.display.BitmapData;
    import flash.geom.Matrix;
    import stego.constants.Colors;
    import stego.core.GameObject;

    /**
     * ...
     * @author Mike Meyer
     */
    public class Platform extends GameObject
    {
        public function Place(x:Number, y:Number, width:Number, height:Number):void
        {
            graphics.clear();
            graphics.beginFill(Colors.WHITE_ENOUGH);
            graphics.drawRect(
                0,
                0,
                width,
                height );
            graphics.endFill();

            this.x = x;
            this.y = y;
        }

        public override function Shutdown():void
        {
            super.Shutdown();
            graphics.clear();
        }
    }

}
