﻿package stego.script.step
{
    import stego.script.Step;

    /**
     * script step to just call a function
     * @author Mike Meyer
     */
    public class RunFunc extends Step
    {
        private var mFunc:Function;

        /**
         * set it up with it's function to call
         */
        public function RunFunc(f:Function)
        {
            mFunc = f;
        }

        public override function Execute(timeDelta:Number):Boolean
        {
            mFunc();
            return true;
        }
    }

}
